Package com.io7m.idstore.server.api

# Record Class IdServerDatabaseConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerDatabaseConfiguration

Record Components:
  `user` - The database user
  `password` - The database password
  `address` - The database address
  `create` - true if the database should be created
  `databaseName` - The database name
  `kind` - The underlying SQL database kind
  `port` - The database port
  `upgrade` - `true` if the database schema should be upgraded

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerDatabaseConfiguration(IdServerDatabaseKind kind, String user, String password, String address, int port, String databaseName, boolean create, boolean upgrade) extends Record implements IdServerJSONConfigurationElementType
Configuration for the database.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerDatabaseConfiguration(IdServerDatabaseKind kind, String user, String password, String address, int port, String databaseName, boolean create, boolean upgrade)`
  Configuration for the database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `address()`
  Returns the value of the `address` record component.
  `boolean`
  `create()`
  Returns the value of the `create` record component.
  `String`
  `databaseName()`
  Returns the value of the `databaseName` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdServerDatabaseKind`
  `kind()`
  Returns the value of the `kind` record component.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `boolean`
  `upgrade()`
  Returns the value of the `upgrade` record component.
  `String`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerDatabaseConfiguration

    public IdServerDatabaseConfiguration(IdServerDatabaseKind kind, String user, String password, String address, int port, String databaseName, boolean create, boolean upgrade)
    Configuration for the database.
    Parameters:
      `user` - The database user
      `password` - The database password
      `address` - The database address
      `create` - true if the database should be created
      `databaseName` - The database name
      `kind` - The underlying SQL database kind
      `port` - The database port
      `upgrade` - `true` if the database schema should be upgraded

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### kind

    public IdServerDatabaseKind kind()
    Returns the value of the `kind` record component.
    Returns:
      the value of the `kind` record component

  - ### user

    public String user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### address

    public String address()
    Returns the value of the `address` record component.
    Returns:
      the value of the `address` record component

  - ### port

    public int port()
    Returns the value of the `port` record component.
    Returns:
      the value of the `port` record component

  - ### databaseName

    public String databaseName()
    Returns the value of the `databaseName` record component.
    Returns:
      the value of the `databaseName` record component

  - ### create

    public boolean create()
    Returns the value of the `create` record component.
    Returns:
      the value of the `create` record component

  - ### upgrade

    public boolean upgrade()
    Returns the value of the `upgrade` record component.
    Returns:
      the value of the `upgrade` record component